Get a broadcast
Retrieve one broadcast.
GET
https://app.usenotix.dev/api/v1/broadcasts/{broadcastId}Full access and read only keys can call this. Sending access keys cannot. Key permissions lists the extra rules some calls have.
Retrieve one broadcast.
Path parameters
broadcastIdstringrequired
Headers
Authorizationstringrequired
Bearer followed by your API key.
curl -X GET "https://app.usenotix.dev/api/v1/broadcasts/<broadcastId>" \
-H "Authorization: Bearer $NOTIX_API_KEY"
import { Notix } from "notix-js";
const notix = new Notix(process.env.NOTIX_API_KEY);
const { data, error } = await notix.broadcasts.get("cmp_123");
from notix import Notix
notix = Notix() # reads NOTIX_API_KEY
campaign, _ = notix.campaigns.get("cmp_123")
use Notix\Notix;
$notix = new Notix(getenv('NOTIX_API_KEY'));
$campaign = $notix->campaigns->get('cmp_123');
Response200
{
"id": "cm1x8f3k20001qz7v5b9d2e4a",
"name": "Acme",
"from": "Acme <receipts@acme.com>",
"subject": "Your receipt for order 4471",
"previewText": "Thanks for your order.",
"contactBookId": "cm1x8f3k20001qz7v5b9d2e4a",
"segmentId": "cm1x8f3k20001qz7v5b9d2e4a",
"html": "<p>Thanks for your order.</p>",
"content": "string",
"status": "string",
"scheduledAt": "2026-10-01T09:00:00Z",
"batchSize": 1,
"batchWindowMinutes": 1,
"total": 1,
"maxRecipients": 1,
"sent": 1,
"delivered": 1,
"opened": 1,
"clicked": 1,
"unsubscribed": 1,
"bounced": 1,
"hardBounced": 1,
"complained": 1,
"replyTo": [
"string"
],
"cc": [
"string"
],
"bcc": [
"string"
],
"createdAt": "2026-10-01T09:00:00Z",
"updatedAt": "2026-10-01T09:00:00Z",
"source": {
"provider": "resend",
"migratedAt": "2026-10-07T10:05:00.000Z"
}
}